Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156426 - Keyboard quit working
Summary: Keyboard quit working
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-29 23:15 UTC by Van Snyder
Modified: 2012-06-20 15:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 15:52:42 UTC


Attachments (Terms of Use)

Description Van Snyder 2005-04-29 23:15:43 UTC
Description of problem:

I have a venerable IBM 84-key AT keyboard.  It has served me well for 21 years,
including in all releases of RedHat Linux since 5.1.  When I installed RedHat
Enterprise Linux version 4, it quit working.  It works if I boot Windows or DOS.
 It works to select a system in grub.  It quits working as soon as the system
boots, even in single-user mode, so it's not an X or KDE problem that's causing
it not to work.

Version-Release number of selected component (if applicable):

2.6.9-5.0.5.ELsmp

How reproducible:

Every time I plug in the keyboard to the PS/2 port, via an AT (DIN-5) -to- PS/2
(mini DIN-6) adapter.

Steps to Reproduce:
1. Plug in an IBM AT 84-key keyboard to the PS/2 port using an appropriate adapter
2. Boot the system
3.
  
Actual results:

Keyboard does nothing

Expected results:

Keyboard works as it did from RedHat Linux 5.1 until RHE 3 (kernel
2.4.21-27.0.2.ELsmp)

Additional info: I got the keyboard to sort-of work by connecting it to the USB
port via a PS/2-to-USB adapter.  There is something wrong with the adapter, USB
port, or driver software, however: It forgets what shift keys are depressed. 
For example, if I try to type ")*" (as frequently occurs in development of
scientific software), I frequently get ")8" which clearly indicates that
somebody forgot that the shift key is still depressed.  It works fine if I
release and re-depress the shift key -- but that hadn't been necessary at all
until RH4 and until I connected the keyboard via the PS/2-to-USB interface. 
CTRL and ALT have the same problem.

Comment 1 Van Snyder 2005-04-30 00:39:48 UTC
This apparently does not depend on an IBM 84-key AT keyboard.  I have the same
problems with a Compaq model RT101 keyboard (101-key PS/2).  The computer is
Dell model 530, service code CDKMQ01, BIOS A09.

Comment 6 Van Snyder 2005-05-26 22:13:44 UTC
Keyboard works correctly on PS/2 port if USB legacy support is disabled in the
BIOS.  This was not necessary with kernel 2.4.21-27.0.2.ELsmp.


Comment 7 Pete Zaitcev 2005-05-27 01:41:25 UTC
What does happen if you add "usb-handoff" into grub.conf (where root= is)?


Comment 8 Jiri Pallich 2012-06-20 15:52:42 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.